/*
 * Name:    mx_ascii.h
 *
 * Purpose: Definitions of symbolic names for ASCII control characters.
 *
 * Author:  William Lavender
 *
 *---------------------------------------------------------------------------
 *
 * Copyright 2002 Illinois Institute of Technology
 *
 * See the file "LICENSE" for information on usage and redistribution
 * of this file, and for a DISCLAIMER OF ALL WARRANTIES.
 *
 */

#ifndef __MX_ASCII_H__
#define __MX_ASCII_H__

#define MX_NUL	0x00
#define MX_SOH	0x01
#define MX_STX	0x02
#define MX_ETX	0x03
#define MX_EOT	0x04
#define MX_ENQ	0x05
#define MX_ACK	0x06
#define MX_BEL	0x07
#define MX_BS	0x08
#define MX_HT	0x09
#define MX_LF	0x0a
#define MX_VT	0x0b
#define MX_FF	0x0c
#define MX_CR	0x0d
#define MX_SO	0x0e
#define MX_SI	0x0f
#define MX_DLE	0x10
#define MX_DC1	0x11
#define MX_DC2	0x12
#define MX_DC3	0x13
#define MX_DC4	0x14
#define MX_NAK	0x15
#define MX_SYN	0x16
#define MX_ETB	0x17
#define MX_CAN	0x18
#define MX_EM	0x19
#define MX_SUB	0x1a
#define MX_ESC	0x1b
#define MX_FS	0x1c
#define MX_GS	0x1d
#define MX_RS	0x1e
#define MX_US	0x1f

#define MX_DEL	0x7f

#define MX_CTRL_ATSIGN	0x00
#define MX_CTRL_A	0x01
#define MX_CTRL_B	0x02
#define MX_CTRL_C	0x03
#define MX_CTRL_D	0x04
#define MX_CTRL_E	0x05
#define MX_CTRL_F	0x06
#define MX_CTRL_G	0x07
#define MX_CTRL_H	0x08
#define MX_CTRL_I	0x09
#define MX_CTRL_J	0x0a
#define MX_CTRL_K	0x0b
#define MX_CTRL_L	0x0c
#define MX_CTRL_M	0x0d
#define MX_CTRL_N	0x0e
#define MX_CTRL_O	0x0f
#define MX_CTRL_P	0x10
#define MX_CTRL_Q	0x11
#define MX_CTRL_R	0x12
#define MX_CTRL_S	0x13
#define MX_CTRL_T	0x14
#define MX_CTRL_U	0x15
#define MX_CTRL_V	0x16
#define MX_CTRL_W	0x17
#define MX_CTRL_X	0x18
#define MX_CTRL_Y	0x19
#define MX_CTRL_Z	0x1a
#define MX_CTRL_LEFT_BRACKET	0x1b
#define MX_CTRL_BACKSLASH	0x1c
#define MX_CTRL_RIGHT_BRACKET	0x1d
#define MX_CTRL_ACCENT_MARK	0x1e
#define MX_CTRL_UNDERSCORE	0x1f

#endif /* __MX_ASCII_H__ */

